package com.zhihu.matisse.internal.ui;

import android.os.Bundle;
import com.zhihu.matisse.internal.entity.Item;
import java.util.ArrayList;
import ඓ.ᨨ.K.ඓ.K.C0778;

public class SelectedPreviewActivity extends BasePreviewActivity {
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.zhihu.matisse.internal.ui.BasePreviewActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (!C0778.C0779.f3967.f3951) {
            setResult(0);
            finish();
            return;
        }
        ArrayList parcelableArrayList = getIntent().getBundleExtra("extra_default_bundle").getParcelableArrayList("state_selection");
        this.f3348.f3974.addAll(parcelableArrayList);
        this.f3348.m5807();
        if (this.f3344.f3961) {
            this.f3355.setCheckedNum(1);
        } else {
            this.f3355.setChecked(true);
        }
        this.f3349 = 0;
        m1922((Item) parcelableArrayList.get(0));
    }
}
